### Method

# Panel MenuManager merge

since: 1.4

#### Declaration [src]

    guint
    panel_menu_manager_merge (
      PanelMenuManager* self,
      const char* menu_id,
      GMenuModel* menu_model
    )

#### Description [src]

Note that `menu_model` is not retained, a copy of it is made.

Available since: 1.4

#### Parameters

`menu_id`

  Type: `const char*`

  The identifier of the menu.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`menu_model`

  Type: `GMenuModel`

  The menu model to merge.

  The data is owned by the caller of the method.

#### Return value

Type: `guint`

The merge-id which can be used with panel_menu_manager_remove().